package com.link.base.user.model;

import java.io.Serializable;
import java.util.List;

public class RoleAuth implements Serializable {
   private static final long serialVersionUID = 764596247832009288L;
   private String id;
   private String roleName;
   private String name;
   private String code;
   private String type;
   private String display;
   private String path;
   private String icon;
   private String description;
   private String showInHome;
   private String menuSource;
   private String menuSecurity;
   private String reportType;
   private String menuCategory;
   private List<AppSecurityMenu> securityMenuList;
   private String showInBottom;
   private Integer orderNum;
   private String menuStyle;
   private String classFirstMenu;

   public String getMenuStyle() {
      return this.menuStyle;
   }

   public void setMenuStyle(String menuStyle) {
      this.menuStyle = menuStyle;
   }

   public String getShowInBottom() {
      return this.showInBottom;
   }

   public void setShowInBottom(String showInBottom) {
      this.showInBottom = showInBottom;
   }

   public String getMenuCategory() {
      return this.menuCategory;
   }

   public void setMenuCategory(String menuCategory) {
      this.menuCategory = menuCategory;
   }

   public String getReportType() {
      return this.reportType;
   }

   public void setReportType(String reportType) {
      this.reportType = reportType;
   }

   public String getShowInHome() {
      return this.showInHome;
   }

   public void setShowInHome(String showInHome) {
      this.showInHome = showInHome;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getRoleName() {
      return this.roleName;
   }

   public void setRoleName(String roleName) {
      this.roleName = roleName;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getDisplay() {
      return this.display;
   }

   public void setDisplay(String display) {
      this.display = display;
   }

   public String getPath() {
      return this.path;
   }

   public void setPath(String path) {
      this.path = path;
   }

   public String getIcon() {
      return this.icon;
   }

   public void setIcon(String icon) {
      this.icon = icon;
   }

   public String getDescription() {
      return this.description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getMenuSource() {
      return this.menuSource;
   }

   public void setMenuSource(String menuSource) {
      this.menuSource = menuSource;
   }

   public String getMenuSecurity() {
      return this.menuSecurity;
   }

   public void setMenuSecurity(String menuSecurity) {
      this.menuSecurity = menuSecurity;
   }

   public List<AppSecurityMenu> getSecurityMenuList() {
      return this.securityMenuList;
   }

   public void setSecurityMenuList(List<AppSecurityMenu> securityMenuList) {
      this.securityMenuList = securityMenuList;
   }

   public Integer getOrderNum() {
      return this.orderNum;
   }

   public void setOrderNum(Integer orderNum) {
      this.orderNum = orderNum;
   }

   public String getClassFirstMenu() {
      return this.classFirstMenu;
   }

   public void setClassFirstMenu(String classFirstMenu) {
      this.classFirstMenu = classFirstMenu;
   }
}
